CVE-2010-2093

Use-after-free vulnerability in the request shutdown functionality in PHP 5.2 before 5.2.13 and 5.3 before 5.3.2 allows context-dependent attackers to cause a denial of service (crash) via a stream context structure that is freed before destruction occurs.

Published : 2010-05-27 22:30 Updated : 2010-12-07 06:48

5.0
CVSS Score More info
Score 5.0 / 10
5.0
Vendor Product Version URI
Php Php 5.2.8 cpe:/a:php:php:5.2.8
Php Php 5.2.7 cpe:/a:php:php:5.2.7
Php Php 5.2.6 cpe:/a:php:php:5.2.6
Php Php 5.2.5 cpe:/a:php:php:5.2.5
Php Php 5.2.12 cpe:/a:php:php:5.2.12
Php Php 5.2.11 cpe:/a:php:php:5.2.11
Php Php 5.2.9 cpe:/a:php:php:5.2.9
Php Php 5.2.10 cpe:/a:php:php:5.2.10
Php Php 5.2.0 cpe:/a:php:php:5.2.0
Php Php 5.2.4 cpe:/a:php:php:5.2.4
Php Php 5.2.3 cpe:/a:php:php:5.2.3
Php Php 5.2.2 cpe:/a:php:php:5.2.2
Php Php 5.3.1 cpe:/a:php:php:5.3.1
Php Php 5.2.1 cpe:/a:php:php:5.2.1
Php Php 5.3.0 cpe:/a:php:php:5.3.0
  1. Php (1) Search CVE
    1. Php (15) Search CVE
      1. 5.2.8
      2. 5.2.7
      3. 5.2.6
      4. 5.2.5
      5. 5.2.12
      6. 5.2.11
      7. 5.2.9
      8. 5.2.10
      9. 5.2.0
      10. 5.2.4
      11. 5.2.3
      12. 5.2.2
      13. 5.3.1
      14. 5.2.1
      15. 5.3.0

CWE

ID Name Description Links
CWE-399 Resource Management Errors Weaknesses in this category are related to improper management of system resources. CVE

History of changes

Date Event
2010-05-27 22:30

New CVE